package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizCarrier;
import cn.ezhizao.project.business.mapper.BizCarrierMapper;
import cn.ezhizao.project.business.service.IBizCarrierService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 设备档案Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-14
 */
@Service
public class BizCarrierServiceImpl extends ServiceImpl<BizCarrierMapper, BizCarrier> implements IBizCarrierService {
    @Resource
    private BizCarrierMapper bizCarrierMapper;

    /**
     * 物理删除
     *
     * @param bizCarrier
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCarrier bizCarrier) {
        return bizCarrierMapper.physicalDelete(bizCarrier);
    }

    ;


    /**
     * 取消废弃
     *
     * @param id 载具id
     * @return 影响数量
     */
    @Override
    public int unAbandoned(Long id) {
        return bizCarrierMapper.unAbandoned(id);
    }

    @Override
    public List<BizCarrier> getList(BizCarrier bizCarrier) {
        return bizCarrierMapper.getList(bizCarrier);
    }

    @Override
    public List<BizCarrier> getListFromOutsource(BizCarrier carrier) {
        return bizCarrierMapper.getListFromOutsource(carrier);
    }
}
